Yapı API

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch API and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎français • ‎hrvatski • ‎italiano • ‎română
(Kasım 2018) YAPI API, otomatikleştirilmiş API belgelerinde listelenmiştir.


API'nin işlevleri Yapı tezgahın 'ın bir parçasıdır ve Arch modülü alındıktan sonra makrolar ve Python konsolundan kullanılabilir. Takviye Eklentisi kendi Reinforcement API 'ye sahiptir.

Örnek:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)